---
lang: en
title: 'API docs: rest.regexprouter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.regexprouter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RegExpRouter](./rest.regexprouter.md)

## RegExpRouter class

Router implementation based on regexp matching

<b>Signature:</b>

```typescript
export declare class RegExpRouter extends BaseRouter 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./rest.regexprouter._constructor_.md) |  | Constructs a new instance of the <code>RegExpRouter</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [addRouteWithPathVars(route)](./rest.regexprouter.addroutewithpathvars.md) |  |  |
|  [findRouteWithPathVars(verb, path)](./rest.regexprouter.findroutewithpathvars.md) |  |  |
|  [listRoutesWithPathVars()](./rest.regexprouter.listrouteswithpathvars.md) |  |  |


